# How To Play

When starting a new world you're given the choice of which tribe to join. One of Unicorn, Pegasus, Earth, Bat, or Changeling.

Depending on which race you pick, you're given different abilities, displayed on your HUD in a series of circular elements.
To activate an ability, simply press and hold the key corresponding to that ability. Some take longer than others, and certain abilities
also respond to quick, short single-taps, or double-taps.

## Abilitis By Species

### Unicorns

 - Magic

   For unicorns, casting spells is done through gems, which you can obtain whilst mining. You first need to craft a spellbook using a gem, and then
   in the spellbook you can discover the magical traits of different items and recipes to combine them to create different spells, as well
   as modify existing one.

   Once you have a gem with a spell you want to use, you can equip it to your main-hand or off-hand slot by right-clicking with a gem in
   one of either hand, then to activate it you us your primary ability. You can also cast spells directly from a gem by using the ability
   whilst holding the gem in your hand.

 - Teleporting
   
   Unicorns can teleport long distances, and occasionally through floors and walls up to 2 blocks. They can also take others with them by giving out signed
   bangles of comradery.
   
   By sneaking, unicorns can switch between teleporting to the nearest face of the block they're looking at, and the farthest. To teleport and take others
   with you, they can switch pages in their hud using Page Up/Page Down.

### Earth Ponies
 - Kicking & Stomping

   Earth ponies kick good.

   If Mine Little Pony is installed, and you have the appearance of a pony, kicking will target the block behind you, so twirl that rump!
   Kicking blocks will incrementally mine them, and kicking trees will shake items loose from their branches. Kicking a tree _too much_ might destroy it,
   so be careful!

 - Stomping
   Stomping is the downwards version of kicking. Activate the ability whilst in the air to land a crushing blow against the ground and push
   other mobs away. Doing this will also gradually mine the affected blocks.

 - Bracing

   Earth ponies can brace themselves by sneaking! It, uh, makes you harder to push! yeah!

### Pegasi / Bat Ponies

 - Picking Up Mobs/Players

   Pegasi can pick up mobs and carry them on their back. It's great for getting around! Just use the ability to grab an entity you're looking at,
   and use it again to drop them.

 - Avian Flight

   Pegasi can fly either by getting a running start and jumping into the air, or by using their tertiary ability to open or close their wings.
   Once in the sky you have to flap your wings (Space) to propel yourself forward and upwards, and glide (by sneaking/holding shift).
   You can navigate and hover using the arrow keys and by slowing down and adjusting your position to stay in one spot.
   
   
### Pegasi (only)
 - Rainbooms / Dashing
   
   Using the ability whilst flying will allow pegasi to perform a sonic rainboom that deafens the ears of your enemies and shatters glass!
   It may take some practice, but the results are most satisfying.

 - Capturing Storms
   
   Give a pegasus a cloud, and they'll have water for a day, give a pegasus a jar, and they'll capture the clouds and make it rain all
   summer. I think that's how the saying goes? Anywho, you can use jars to capture rain in a jar during storms.

   Doing this will both stop it from raining and store the weather in the bottle for later use.
   
   Dropping bottles on the ground during a thunder storm is also the only way to obtain lightning in a bottle.

### Bat Ponies
 - Screeching
 
   Eeee! Eee-Eeee! Eeee!
   
   Bat ponies can screeeeEEeeeeEEEEech!
   
   Besides annoying other players, they also deal some awesome knockback and a tiny bit of damage to anypony or anything that's caught off-guard by
   your terrifying howl. It's so scary you might just scare yourself!

 - Night Vision
   Bat Ponies have night vision. They can see in the dark, like true sisters of the night! The drawback of this is you can't look at the sun, or be
   anywhere near sunlight in general. Luckily uou can craft some really cool sunglasses to protect your precious assets!
   
   Or wear a pumpkin. That works too.
   
   (Bat Ponies also respawn in dark places)
   
 - Hanging of Ceilings

   Ever just want to hang out? Well bat ponies can, _literally_! All the cool kids are doing.
   
 - Mangoes
   
   And other fruit! Bat Ponies LOVE THEM! Especially the pineapples? Especially the pineapples.

### Changelings

 - Insectoid Flight

   Flying as a changeling is somewhat simpler. It's closer to creative flight.
   
 - Draining Love

   Love is the primary source of nutrition for Changelings. They can't eat a lot else, so they have to seek out hostile mobs and certain livestock to
   sustain themselves. Alternatively, love can also be 'stolen' in-transit from the crystal heart if a changeling drops a bucket, bottle, or mug
   anywhere nearby.
   
 - Shapeshifting
   
   Changelings can turn into damn near anything, even other players! And blocks! And hostile mobs!
   Careful about turning into skeletons, though, because they hate the sun even more than bat ponies.

## Special Items, Plants, Tools

### Polearms

Polearms function like a combination of a spear and a sword. They have longer cooldown and a minor knockback, but will grant the user extra reach distance
when equipped. Perfect for farming those unusual, magical blocks from a safer distance.

Fighting too close together with them may cause you some knockback.

### Zap Apples

Zap Apple Trees occur naturally in the world and are the only way to obtain zap apples in survival. They can appear in one of several different states:

Hybernating, Flowering, Fruiting, or Withering

They cycle through these states throughout the lunar cycle, so if you find one and it's not in the state you want, wait around another few days and it
will eventually bear fruit, but don't try to harvest the apples before they're ripe, because they will zap you!

If you're able to obtain the wood and leaves, it also make the perfect deterant to griefers.

### Muffins

They're bouncy and delicious, and pigs absolutely love them!